Package org.eclipse.emf.cdo.common.commit.handler

# Class BinaryCommitInfoLog

java.lang.Object
org.eclipse.emf.cdo.common.commit.handler.BinaryCommitInfoLog

All Implemented Interfaces:
  `CDOCommitInfoHandler`

public class BinaryCommitInfoLog extends Object implements CDOCommitInfoHandler
A `commit info handler` that synchronously writes `commit infos` to a binary log.

Since:
  4.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`BinaryCommitInfoLog(OutputStream stream, CDOPackageRegistry packageRegistry)`
`BinaryCommitInfoLog(OutputStream stream, CDOPackageRegistry packageRegistry, CDORevisionUnchunker unchunker)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCommitInfo(CDOCommitInfo commitInfo)`
`protected void`
`handleException(Exception ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinaryCommitInfoLog

public BinaryCommitInfoLog(OutputStream stream, CDOPackageRegistry packageRegistry, CDORevisionUnchunker unchunker)

Since:
  4.3

### BinaryCommitInfoLog

public BinaryCommitInfoLog(OutputStream stream, CDOPackageRegistry packageRegistry)

## Method Details

### handleCommitInfo

public void handleCommitInfo(CDOCommitInfo commitInfo)

Specified by:
  `handleCommitInfo` in interface `CDOCommitInfoHandler`

### handleException

protected void handleException(Exception ex)